# TdApi.GetFileDownloadedPrefixSize (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetFileDownloadedPrefixSize

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetFileDownloadedPrefixSize

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FileDownloadedPrefixSize>
it.tdlight.jni.TdApi.GetFileDownloadedPrefixSize

Enclosing class:
  TdApi

public static final class TdApi.GetFileDownloadedPrefixSize extends TdApi.Function<TdApi.FileDownloadedPrefixSize>
Returns file downloaded prefix size from a given offset, in bytes. Returns `FileDownloadedPrefixSize`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`fileId`
Identifier of the file.
`long`
`offset`
Offset from which downloaded prefix size needs to be calculated.

## Constructor Summary

Constructors
Constructor
Description
`GetFileDownloadedPrefixSize()`
Returns file downloaded prefix size from a given offset, in bytes.
`GetFileDownloadedPrefixSize(int fileId, long offset)`
Returns file downloaded prefix size from a given offset, in bytes.
`GetFileDownloadedPrefixSize(DataInput input)`
Returns file downloaded prefix size from a given offset, in bytes.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileId

public int fileId
Identifier of the file.

### offset

public long offset
Offset from which downloaded prefix size needs to be calculated.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetFileDownloadedPrefixSize

public GetFileDownloadedPrefixSize()
Returns file downloaded prefix size from a given offset, in bytes. Returns `FileDownloadedPrefixSize`

### GetFileDownloadedPrefixSize

public GetFileDownloadedPrefixSize(int fileId, long offset)
Returns file downloaded prefix size from a given offset, in bytes. Returns `FileDownloadedPrefixSize`

Parameters:
  `fileId` - int Identifier of the file.
  `offset` - long Offset from which downloaded prefix size needs to be calculated.

### GetFileDownloadedPrefixSize

public GetFileDownloadedPrefixSize(DataInput input) throws IOException
Returns file downloaded prefix size from a given offset, in bytes. Returns `FileDownloadedPrefixSize`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`